# DaprProtos.QueryStateItem.Builder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.QueryStateItem.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateItem.Builder>
      - - io.dapr.v1.DaprProtos.QueryStateItem.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.QueryStateItemOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.QueryStateItem

    public static final class DaprProtos.QueryStateItem.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateItem.Builder>
    implements DaprProtos.QueryStateItemOrBuilder

Protobuf type `dapr.proto.runtime.v1.QueryStateItem`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`DaprProtos.QueryStateItem.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.QueryStateItem` `build()`
`DaprProtos.QueryStateItem` `buildPartial()`
`DaprProtos.QueryStateItem.Builder` `clear()`
`DaprProtos.QueryStateItem.Builder` `clearData()` The object value.
`DaprProtos.QueryStateItem.Builder` `clearError()` The error message indicating an error in processing of the query result.
`DaprProtos.QueryStateItem.Builder` `clearEtag()` The entity tag which represents the specific version of data.
`DaprProtos.QueryStateItem.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.QueryStateItem.Builder` `clearKey()` The object key.
`DaprProtos.QueryStateItem.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.QueryStateItem.Builder` `clone()`
`com.google.protobuf.ByteString` `getData()` The object value.
`DaprProtos.QueryStateItem` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getError()` The error message indicating an error in processing of the query result.
`com.google.protobuf.ByteString` `getErrorBytes()` The error message indicating an error in processing of the query result.
`String` `getEtag()` The entity tag which represents the specific version of data.
`com.google.protobuf.ByteString` `getEtagBytes()` The entity tag which represents the specific version of data.
`String` `getKey()` The object key.
`com.google.protobuf.ByteString` `getKeyBytes()` The object key.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`DaprProtos.QueryStateItem.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.QueryStateItem.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`DaprProtos.QueryStateItem.Builder` `mergeFrom​(DaprProtos.QueryStateItem other)`
`DaprProtos.QueryStateItem.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.QueryStateItem.Builder` `setData​(com.google.protobuf.ByteString value)` The object value.
`DaprProtos.QueryStateItem.Builder` `setError​(String value)` The error message indicating an error in processing of the query result.
`DaprProtos.QueryStateItem.Builder` `setErrorBytes​(com.google.protobuf.ByteString value)` The error message indicating an error in processing of the query result.
`DaprProtos.QueryStateItem.Builder` `setEtag​(String value)` The entity tag which represents the specific version of data.
`DaprProtos.QueryStateItem.Builder` `setEtagBytes​(com.google.protobuf.ByteString value)` The entity tag which represents the specific version of data.
`DaprProtos.QueryStateItem.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.QueryStateItem.Builder` `setKey​(String value)` The object key.
`DaprProtos.QueryStateItem.Builder` `setKeyBytes​(com.google.protobuf.ByteString value)` The object key.
`DaprProtos.QueryStateItem.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.QueryStateItem.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateItem.Builder>`

#### clear

    public DaprProtos.QueryStateItem.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateItem.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateItem.Builder>`

#### getDefaultInstanceForType

    public DaprProtos.QueryStateItem getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public DaprProtos.QueryStateItem build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public DaprProtos.QueryStateItem buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public DaprProtos.QueryStateItem.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateItem.Builder>`

#### setField

    public DaprProtos.QueryStateItem.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                      Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateItem.Builder>`

#### clearField

    public DaprProtos.QueryStateItem.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateItem.Builder>`

#### clearOneof

    public DaprProtos.QueryStateItem.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateItem.Builder>`

#### setRepeatedField

    public DaprProtos.QueryStateItem.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                              int index,
                                                              Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateItem.Builder>`

#### addRepeatedField

    public DaprProtos.QueryStateItem.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                              Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateItem.Builder>`

#### mergeFrom

    public DaprProtos.QueryStateItem.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.QueryStateItem.Builder>`

#### mergeFrom

    public DaprProtos.QueryStateItem.Builder mergeFrom​(DaprProtos.QueryStateItem other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateItem.Builder>`

#### mergeFrom

    public DaprProtos.QueryStateItem.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.QueryStateItem.Builder>`
Throws:
  `IOException`

#### getKey

    public String getKey()

     The object key.

`string key = 1;`

Specified by:
  `getKey` in interface `DaprProtos.QueryStateItemOrBuilder`
Returns:
  The key.

#### getKeyBytes

    public com.google.protobuf.ByteString getKeyBytes()

     The object key.

`string key = 1;`

Specified by:
  `getKeyBytes` in interface `DaprProtos.QueryStateItemOrBuilder`
Returns:
  The bytes for key.

#### setKey

    public DaprProtos.QueryStateItem.Builder setKey​(String value)

     The object key.

`string key = 1;`

Parameters:
  `value` - The key to set.
Returns:
  This builder for chaining.

#### clearKey

    public DaprProtos.QueryStateItem.Builder clearKey()

     The object key.

`string key = 1;`

Returns:
  This builder for chaining.

#### setKeyBytes

    public DaprProtos.QueryStateItem.Builder setKeyBytes​(com.google.protobuf.ByteString value)

     The object key.

`string key = 1;`

Parameters:
  `value` - The bytes for key to set.
Returns:
  This builder for chaining.

#### getData

    public com.google.protobuf.ByteString getData()

     The object value.

`bytes data = 2;`

Specified by:
  `getData` in interface `DaprProtos.QueryStateItemOrBuilder`
Returns:
  The data.

#### setData

    public DaprProtos.QueryStateItem.Builder setData​(com.google.protobuf.ByteString value)

     The object value.

`bytes data = 2;`

Parameters:
  `value` - The data to set.
Returns:
  This builder for chaining.

#### clearData

    public DaprProtos.QueryStateItem.Builder clearData()

     The object value.

`bytes data = 2;`

Returns:
  This builder for chaining.

#### getEtag

    public String getEtag()

     The entity tag which represents the specific version of data.
     ETag format is defined by the corresponding data store.

`string etag = 3;`

Specified by:
  `getEtag` in interface `DaprProtos.QueryStateItemOrBuilder`
Returns:
  The etag.

#### getEtagBytes

    public com.google.protobuf.ByteString getEtagBytes()

     The entity tag which represents the specific version of data.
     ETag format is defined by the corresponding data store.

`string etag = 3;`

Specified by:
  `getEtagBytes` in interface `DaprProtos.QueryStateItemOrBuilder`
Returns:
  The bytes for etag.

#### setEtag

    public DaprProtos.QueryStateItem.Builder setEtag​(String value)

     The entity tag which represents the specific version of data.
     ETag format is defined by the corresponding data store.

`string etag = 3;`

Parameters:
  `value` - The etag to set.
Returns:
  This builder for chaining.

#### clearEtag

    public DaprProtos.QueryStateItem.Builder clearEtag()

     The entity tag which represents the specific version of data.
     ETag format is defined by the corresponding data store.

`string etag = 3;`

Returns:
  This builder for chaining.

#### setEtagBytes

    public DaprProtos.QueryStateItem.Builder setEtagBytes​(com.google.protobuf.ByteString value)

     The entity tag which represents the specific version of data.
     ETag format is defined by the corresponding data store.

`string etag = 3;`

Parameters:
  `value` - The bytes for etag to set.
Returns:
  This builder for chaining.

#### getError

    public String getError()

     The error message indicating an error in processing of the query result.

`string error = 4;`

Specified by:
  `getError` in interface `DaprProtos.QueryStateItemOrBuilder`
Returns:
  The error.

#### getErrorBytes

    public com.google.protobuf.ByteString getErrorBytes()

     The error message indicating an error in processing of the query result.

`string error = 4;`

Specified by:
  `getErrorBytes` in interface `DaprProtos.QueryStateItemOrBuilder`
Returns:
  The bytes for error.

#### setError

    public DaprProtos.QueryStateItem.Builder setError​(String value)

     The error message indicating an error in processing of the query result.

`string error = 4;`

Parameters:
  `value` - The error to set.
Returns:
  This builder for chaining.

#### clearError

    public DaprProtos.QueryStateItem.Builder clearError()

     The error message indicating an error in processing of the query result.

`string error = 4;`

Returns:
  This builder for chaining.

#### setErrorBytes

    public DaprProtos.QueryStateItem.Builder setErrorBytes​(com.google.protobuf.ByteString value)

     The error message indicating an error in processing of the query result.

`string error = 4;`

Parameters:
  `value` - The bytes for error to set.
Returns:
  This builder for chaining.

#### setUnknownFields

    public final DaprProtos.QueryStateItem.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateItem.Builder>`

#### mergeUnknownFields

    public final DaprProtos.QueryStateItem.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateItem.Builder>`